<?php
  ///////////////////////////////////////////////////
  //2007 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) include "../lang/".$lang."/".$lang.".php";
     else include "../lang/ru/ru.php";

  $title=$titlepage = $TEXT['nd-title'];
  $helppage = "";

  if(is_file ("../lang/".$lang."/trans.php")) require_once "../lang/".$lang."/trans.php";
  require_once "../lang/ru/trans.php";
  require_once "../config.php";
  require_once "../util/top_layer1.php";

  if($result2['master'] == 1) puterror2($TEXT['error-loginform4']);
  if($result2['manager'] == 1) puterror2($TEXT['error-loginform4']);

  if(empty($_POST['razdel'])) puterror2($TEXT['error-nd2']);
  if(strlen($_POST['razdel'])>600) puterror2($TEXT['error-nd3']);
  if(empty($_POST['position'])) puterror2($TEXT['error-nd4']);
  if(strlen($_POST['position'])>11) puterror2($TEXT['error-nd5']);

  if($_POST['visible'] == "on") $visible = "show";
    else $visible = "hide";

  if(isset($_POST['razdel'])) $razdel=trim($_POST['razdel']);
    else $razdel="";
     if (empty($razdel)) puterror2($TEXT['error-nd6']);

  if(isset($_POST['position'])) $position=trim($_POST['position']);
    else $position="";
     if (empty($position)) puterror2($TEXT['error-nd7']);

  $_POST['razdel'] = rep($_POST['razdel']);
  $_POST['position'] = rep($_POST['position']);

  $query_chk = "SELECT `razdel` FROM `tbl_razdel_instr` WHERE `razdel`='".$_POST['razdel']."' ";
     $result_chk = mysql_query($query_chk);
     if (!$result_chk) puterror2($TEXT['error-tbl19']);
       if (mysql_num_rows($result_chk)>0) puterror2($TEXT['global-est']);

    if($_FILES['photo']['size'] > 1024*2*1024) puterror2($TEXT['error-pic3']);
    if (!empty($_FILES['photo']['tmp_name']))
      {
       $ext = strrchr($_FILES['photo']['name'], ".");
       $name = $_POST['razdel'];
       $razd = "razd_".translate($name)."_";
       $image = "../Instructions/$razd".date("YmdHis",time())."$ext";
          if (copy($_FILES['photo']['tmp_name'], "../".$image))
            {
            unlink($_FILES['photo']['tmp_name']);
            chmod("../".$image, 0644);
            }
     } else $image = "";

  //*************************************
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-inst1'];
  $what = $_POST['razdel'];
  $who = $result2['fullname'];
  //*************************************
  $query = "INSERT INTO `tbl_razdel_instr` ( `razd_id` , `photo`, `razdel`, `position`, `visible` ) VALUES ( NULL , '$image', '".$_POST['razdel']."', '".$_POST['position']."', '$visible') ";
  if(mysql_query($query))
  {
    $query2 = "INSERT INTO `tbl_logs` ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysql_query($query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else puterror2($TEXT['error-log']);
  } else puterror2($TEXT['error-nd1']);
  require_once "../util/bottom.php";
?>
